/* 22.01.2024 -- New CSS */
.select2-dropdown {
    z-index: 99999;

}

.select2-container--default .select2-selection--multiple {
    height: auto !important;
    background-color: var(--iq-light) !important;
    border-color: var(--primary) !important;
   
}
.select2-container .select2-search--inline {
    float: none;
    position: absolute;
    top: 0;
    z-index: 2;
    left: 0;
    height: 100%;
    width: 100%;
}
.select2-container--default .select2-search--inline .select2-search__field {
    height: 100% !important;
    margin-top: 0 !important;
    line-height: 40px;
    margin-left: 10px !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--primary) !important;
    border: 1px solid var(--primary) !important;
    color: #fff;
    display: flex !important;
    align-items: center;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    border-right: 1px solid #fff !important;
    color: #fff !important;
    position: static !important;
}
.select2-container .select2-selection--multiple .select2-selection__rendered {
    position: relative;
    color:  var(--primary);
    z-index: 3;
}
.select2-container--default .select2-search--inline .select2-search__field::placeholder{
    color: var(--primary);
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: var(--primary) transparent transparent !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 39px !important;
}
.select2-container--default .select2-selection--single {
    background-color: var(--iq-light) !important;
    border: 1px solid var(--primary) !important;
    height: 41px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: var(--primary) !important;
    line-height: 39px !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--primary) !important;
}
.select2-container--default .select2-results__option--selected {
    background-color: var(--primary) !important;
    color: #fff;
}
.form-control {
    /*height: 41px !important;*/
    line-height: 39px !important;
    border: 1px solid var(--primary) !important;
    background-color: var(--iq-light) !important;
    color: var(--primary) !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover, .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:focus {
    background-color: transparent !important;
}
.dropdownpos .dropdown-toggle{
    border: 1px solid var(--primary);
    background-color: var(--iq-light);
    text-align: left;
    padding: 0 15px;
    height: 41px;
    line-height: 39px;
    color: var(--primary);
}
.dropdownpos .dropdown-toggle::after {
    position: absolute;
    right: 15px;
    top: 19px;
    border-top-color: var(--primary);
}
.dropdownpos .dropdown-menu{
    padding: 10px 0;
}
.dropdownpos .dropdown-menu li{
    margin-bottom: 10px;
}
.dropdownpos .dropdown-menu li:last-child{
    margin-bottom: 0;
}
.dropdownpos .dropdown-menu li a{
    padding: 5px 15px;
    display: block;
    cursor: pointer;
    background-color: transparent;
    color: var(--primary);
    transition: all 0.3s ease-in-out;
}
.dropdownpos .dropdown-menu li a:hover{
    background-color: var(--primary);
    color: #fff;
}
.dropdownpos .dropdown-toggle:hover{
    color: var(--primary);
}
#maincoursecontainer .card .row{
    margin-left: 0;
    margin-right: 0;
}
#maincoursecontainer .card{
    margin-bottom: 30px !important;
}
.tutorial_area .col-lg-8{
    padding-right: 0;
}
.tutorial_btn {
    padding: 0 15px !important;
    height: 41px;
    width: 100%;
    line-height: 41px !important;
    color: #fff !important;
}
.back_area{
    margin: 30px 0;
}
.fav_btn{
    cursor:pointer;
    display: inline-block
}
.icon_list{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.icon_list li{
    margin-right: 5px;
}
.icon_list li:last-child{
    margin-right: 0;
}
#viewModeOuter{
    display: flex;
    align-items: center;
}
#viewModeDropdown a{
    display: flex;
    align-items: center;
    padding: 4px;
    border-radius: 4px;
}
#viewModeDropdown a:hover{
    color: #fff !important;
    background-color: var(--primary) !important;
}
.hover-button:hover {
    background-color: var(--primary) !important;
    color: #fff !important;
}
#viewModeDropdown .dropdown-toggle::after{
    margin-left: 10px;
}
#resetSearchBtn.btn-primary{
    height: 41px;
    line-height: 39px;
    padding: 0 42px;
    border-radius: 0 8px 8px 0;
    background-color: var(--primary);
    border: 1px solid var(--primary);
}
.list_btn, .list_btn a{
    display: flex !important;
    align-items: center;
}
.list_btn a:hover{
    color: #fff !important;
}
.ivid-dropdown {
    font-family: 'iView-Learning-Custom-Icons', 'Helvetica Neue', Helvetica, Arial, sans-serif !important;
}
#most-popular-lessons-container h3{
    margin-bottom: 20px;
    color: var(--secondary);
}
.btn-close{
    border: 0;
    background-color: transparent;
    margin-left: auto;
}
.qr_img img, .store_img img{
    width: 100%;
}
.qr_img{
    margin-bottom: 15px;
}
#viewModeDropdown .dropdown-menu li{
    margin: 0;
}
#viewModeDropdown .dropdown-menu li a{
    display: block;
    padding: 5px 15px;
    color: var(--primary);
}
#viewModeDropdown .dropdown-menu li a:hover{
    background-color: var(--primary);
    color: #fff;
}
.lesson-bullet-list{
    padding-left: 0;
    list-style: none;
}
#latest-lessons-container h3{
    margin-bottom: 20px;
    color: var(--secondary);
}
#most-popular-lessons-container{
    margin-bottom: 20px;
}
.video_tutorial a{
    font-size: 18px;
    color: var(--secondary);
}
.video_tutorial a:hover{
    color: var(--primary);
}
#tutorial-container, #tutorial-container iframe{
    width: 100%;
    height: 100%;
}
.video_tutorial{
    margin: 15px 0;
    text-align: right;
}
.lesson-bullet-no-ivid{
    padding: 10px 0;
}
.lessontitle{
    display: flex;
    align-items: center;
}
.lessontitle figure{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 15px 0 0;
    border: 3px solid var(--primary);
}
.lessontitle figure img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.lessontitle a{
    font-size: 18px;
    color: var(--dark);
}
.lessontitle a:hover{
    color: var(--primary);
}
/* 22.01.2024 -- New CSS */
